import { Device } from './Device';
declare class SipExtension {
    ringTime: number;
    maxCallTime: number;
    record: boolean;
    present: string;
    countryCode: string;
    onComplete: string;
    onFail: string;
    onNoAnswer: string;
    onBusy: string;
    gateway: string;
    constructor(values: SipExtension);
    gatewayDevice(deviceList: Device[]): Device;
    onCompleteDevice(deviceList: Device[]): Device;
    onFailDevice(deviceList: Device[]): Device;
    onNoAnswerDevice(deviceList: Device[]): Device;
    onBusyDevice(deviceList: Device[]): Device;
}
export { SipExtension };
